org.apache.cassandra.transport

## Class Message.Dispatcher

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.channel.SimpleChannelInboundHandler<Message.Request>
      - - org.apache.cassandra.transport.Message.Dispatcher

All Implemented Interfaces:
  io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

Enclosing class:
  Message

    @ChannelHandler.Sharable
    public static class Message.Dispatcher
    extends io.netty.channel.SimpleChannelInboundHandler<Message.Request>

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

### Constructor Summary

Constructors
Constructor and Description
`Dispatcher()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `channelRead0(io.netty.channel.ChannelHandlerContext ctx, Message.Request request)`

### Methods inherited from class io.netty.channel.SimpleChannelInboundHandler

`acceptInboundMessage, channelRead`

### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

`channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggered`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`handlerAdded, handlerRemoved, isSharable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.netty.channel.ChannelHandler

`handlerAdded, handlerRemoved`

### Constructor Detail

#### Dispatcher

    public Dispatcher()

### Method Detail

#### channelRead0

    public void channelRead0(io.netty.channel.ChannelHandlerContext ctx,
                             Message.Request request)

Specified by:
  `channelRead0` in class `io.netty.channel.SimpleChannelInboundHandler<Message.Request>`